#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets

TARGET   = coreuniverse
TEMPLATE = app

VERSION  = 4.1.0

# Library section
unix:!macx: LIBS += -lcprime

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        target.path   = $$BINDIR

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = "coreuniverse.desktop"

        icons.path    = $$PREFIX/share/icons/hicolor/scalable/apps/
        icons.files   = coreuniverse.svg

        data.path     = $$PREFIX/share/coreapps/docs
        data.files    = docs/ChangeLog docs/License docs/ReleaseNotes

        INSTALLS += target icons desktop data
}


SOURCES += \
    main.cpp \
    coreuniverse.cpp

HEADERS += \
    coreuniverse.h

FORMS += \
    coreuniverse.ui

RESOURCES += \
    resource.qrc
